Page MenuHome

Cycles ray visibility broken in render/viewport
Confirmed, NormalPublicBUG

Description

System Information
Operating system: Linux-5.4.60-2-MANJARO-x86_64-with-glibc2.29 64 Bits
Graphics card: AMD VERDE (DRM 2.50.0, 5.4.60-2-MANJARO, LLVM 10.0.1) X.Org 4.5 (Core Profile) Mesa 20.1.6

Blender Version
Broken: version: 2.91.0 Alpha, branch: master, commit date: 2020-08-30 21:49, hash: rB429afe0c626a
Worked: 2.83.5

Short description of error
Blender ignores the object ray visibility toggles (Camera/Diffuse/Glossy/Transmission/VolumeScatter/Shadow) in render/viewport.
Possibly related to T61575
The camera toggle only works if all other toggles are off as well (commit date: 2020-08-31 10:39, hash: rBc5b9bf32e9e3).

Exact steps for others to reproduce the error
In the default scene, switch to cycles
in the object properties of the default cube, deactivate ray visibility e.g. for camera
F12 or viewport render
cube will render regardless

Event Timeline

Georg K (georg) updated the task description. (Show Details)
Richard Antalik (ISS) changed the task status from Needs Triage to Needs Information from User.Wed, Sep 2, 5:19 PM

Can't reproduce on windows so this may be platform/GPU specific? if you render with GPU can you try CPU as well?

I can't render using my gpu.
The first time I switch a visibility property to off, I get artifacts. After switching it back on and off again, it just does not change visibility at all, always looking like on the left side of this image:

Tried it my notebook, same OS, but intel integrated graphics (again only cpu rendering):
viewport: slightly different artifact (in the reflection), but after the first deactivating/reactivating any ray visibility, the switches do work without issue.
F12 render: no issue

System Information
Operating system: Linux-5.7.17-2-MANJARO-x86_64-with-arch-Manjaro-Linux 64 Bits
Graphics card: Mesa Intel(R) HD Graphics 520 (SKL GT2) Intel 4.6 (Core Profile) Mesa 20.1.6

Blender Version
Broken: version: 2.91.0 Alpha, branch: master, commit date: 2020-08-31 16:49, hash: rBfc8533a3c93c

Can you upload example file just to double check all the settings and such? Also please check if this happens when you click on File > Defaults > Load Factory Settings.

I would expect to reproduce the issue with CPU render.

Georg K (georg) added a comment.EditedWed, Sep 2, 7:59 PM

It's pretty basic, just trying to cover every ray type


Loading defaults did not help.

Richard Antalik (ISS) changed the task status from Needs Information from User to Needs Triage.Wed, Sep 2, 9:04 PM

It is a bit confusing to check for other ray types, as they are reflections not direct rays If I understand it correctly. But all seems to work fine here.

Perhaps @Philipp Oeser (lichtwerk) can reproduce on Linux?

Philipp Oeser (lichtwerk) changed the task status from Needs Triage to Confirmed.Thu, Sep 3, 3:41 PM
Philipp Oeser (lichtwerk) changed the subtype of this task from "Report" to "Bug".

Yes, can confirm.

**System Information**
Operating system: Linux-5.7.10-201.fc32.x86_64-x86_64-with-fedora-32-Thirty_Two 64 Bits
Graphics card: GeForce GTX 970M/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 440.100
version: 2.91.0 Alpha, branch: master (modified), commit date: 2020-09-03 13:01, hash: `rBa505a8587360`

Dont think this is related to T61575, suspect it was the switch to Embree?

...suspect it was the switch to Embree?

Nope, probably later (between rB13abacaaf342 (bad) and rBbaf124c753d9 (good))

Georg K (georg) closed this task as Resolved.Wed, Sep 9, 3:43 AM
Georg K (georg) claimed this task.

Its working in version: 2.91.0 Alpha, branch: master, commit date: 2020-09-09 00:05, hash: rBb8840c105a4e. Don't know which commit fixed it.

Correction: the bug is still there, but not as bad as it was: F12 rendering seems working fine - at least I haven't found issues yet.
But rendered viewport is still broken in some situations. In the Example scene:

  • switch to rendered viewport shading, deactivate camera ray visibility: either the reflection is gone, too or it has artifacts.

or

  • switch the camera ray visibility to off before activating rendered viewport, then switch it off (still working) and on again - now the mesh is in tatters.

Please reopen.

Philipp Oeser (lichtwerk) reopened this task as Confirmed.Wed, Sep 9, 7:31 AM
Philipp Oeser (lichtwerk) removed Georg K (georg) as the assignee of this task.